<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Cryville.EEW.Colors</name>
    </assembly>
    <members>
        <member name="T:Cryville.EEW.Colors.ColorSpaceUtils">
            <summary>
            Contains <see langword="static" /> methods related to color spaces.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.ColorSpaceUtils.OkLchToSrgb(System.Int32,System.Single,System.Single,System.Single)">
            <summary>
            Converts a OkLch color to sRGB.
            </summary>
            <param name="A">The alpha channel (0-255).</param>
            <param name="L">The luminance channel.</param>
            <param name="c">The chroma channel.</param>
            <param name="h">The hue channel.</param>
            <returns></returns>
        </member>
        <member name="T:Cryville.EEW.Colors.EmptyColorScheme">
            <summary>
            An empty <see cref="T:Cryville.EEW.Colors.IColorScheme" /> that always returns <see cref="P:System.Drawing.Color.Gray" />.
            </summary>
        </member>
        <member name="P:Cryville.EEW.Colors.EmptyColorScheme.Instance">
            <summary>
            The shared instance of the <see cref="T:Cryville.EEW.Colors.EmptyColorScheme" /> class.
            </summary>
        </member>
        <member name="P:Cryville.EEW.Colors.EmptyColorScheme.WrappedInstance">
            <summary>
            The shared instance of the <see cref="T:Cryville.EEW.Colors.WrappedColorScheme" /> class wrapped around <see cref="P:Cryville.EEW.Colors.EmptyColorScheme.Instance" />.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.EmptyColorScheme.From(Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible)">
            <inheritdoc />
        </member>
        <member name="T:Cryville.EEW.Colors.IColor">
            <summary>
            Represents a color.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.IColor.ToSrgb">
            <summary>
            Converts the current instance to an sRGB color.
            </summary>
            <returns>The converted color.</returns>
        </member>
        <member name="P:Cryville.EEW.Colors.IColor.Lightness">
            <summary>
            The lightness of the color. <c>0</c> represents a black color; <c>1</c> represents a white color.
            </summary>
        </member>
        <member name="T:Cryville.EEW.Colors.IColorScheme">
            <summary>
            Represents a color scheme, extracting colors from different properties.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.IColorScheme.From(Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible)">
            <summary>
            Extracts a color from a property.
            </summary>
            <param name="type">The type of the property.</param>
            <param name="value">The value of the property.</param>
            <returns>The color.</returns>
        </member>
        <member name="M:Cryville.EEW.Colors.IColorScheme.From(System.Collections.Generic.IEnumerable{System.ValueTuple{Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible}})">
            <summary>
            Extracts a color from a set properties.
            </summary>
            <param name="props">The properties.</param>
            <returns>The color.</returns>
        </member>
        <member name="T:Cryville.EEW.Colors.ISeverityColorMapping">
            <summary>
            Represents a mapping that maps severity to color.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.ISeverityColorMapping.FromSeverity(System.Single,System.Single@)">
            <summary>
            Extracts a color from severity.
            </summary>
            <param name="severity">The severity.</param>
            <param name="luminance">The luminance of the color.</param>
            <returns>The color.</returns>
        </member>
        <member name="M:Cryville.EEW.Colors.ISeverityColorMapping.From(System.Single)">
            <summary>
            Extracts a color from severity.
            </summary>
            <param name="severity">The severity.</param>
            <returns>The color.</returns>
        </member>
        <member name="T:Cryville.EEW.Colors.ISubColorScheme">
            <summary>
            Represents a sub-color scheme, extracting colors from different properties.
            </summary>
        </member>
        <member name="M:Cryville.EEW.Colors.ISubColorScheme.From(Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible,Cryville.EEW.Colors.IColor)">
            <summary>
            Extracts a color from a property.
            </summary>
            <param name="type">The type of the property.</param>
            <param name="value">The value of the property.</param>
            <param name="color">The color extracted from the same property from another color scheme.</param>
            <returns>The color.</returns>
        </member>
        <member name="M:Cryville.EEW.Colors.ISubColorScheme.From(System.Collections.Generic.IEnumerable{System.ValueTuple{Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible}},Cryville.EEW.Colors.IColor)">
            <summary>
            Extracts a color from a set properties.
            </summary>
            <param name="props">The properties.</param>
            <param name="color">The color extracted from the same property from another color scheme.</param>
            <returns>The color.</returns>
        </member>
        <member name="T:Cryville.EEW.Colors.SeverityBasedColorScheme">
            <summary>
            A color scheme that is based on a severity scheme and a severity color mapping.
            </summary>
            <param name="scheme">The severity scheme.</param>
            <param name="mapping">The severity color mapping.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.SeverityBasedColorScheme.#ctor(Cryville.EEW.Report.ISeverityScheme,Cryville.EEW.Colors.ISeverityColorMapping)">
            <summary>
            A color scheme that is based on a severity scheme and a severity color mapping.
            </summary>
            <param name="scheme">The severity scheme.</param>
            <param name="mapping">The severity color mapping.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.SeverityBasedColorScheme.From(Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible)">
            <inheritdoc />
        </member>
        <member name="M:Cryville.EEW.Colors.SeverityBasedColorScheme.From(System.Collections.Generic.IEnumerable{System.ValueTuple{Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible}})">
            <inheritdoc />
        </member>
        <member name="T:Cryville.EEW.Colors.SrgbColor">
            <summary>
            Represents an sRGB color.
            </summary>
            <param name="A">The alpha channel.</param>
            <param name="R">The red channel.</param>
            <param name="G">The green channel.</param>
            <param name="B">The blue channel.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.#ctor(System.Byte,System.Byte,System.Byte,System.Byte)">
            <summary>
            Represents an sRGB color.
            </summary>
            <param name="A">The alpha channel.</param>
            <param name="R">The red channel.</param>
            <param name="G">The green channel.</param>
            <param name="B">The blue channel.</param>
        </member>
        <member name="P:Cryville.EEW.Colors.SrgbColor.A">
            <summary>The alpha channel.</summary>
        </member>
        <member name="P:Cryville.EEW.Colors.SrgbColor.R">
            <summary>The red channel.</summary>
        </member>
        <member name="P:Cryville.EEW.Colors.SrgbColor.G">
            <summary>The green channel.</summary>
        </member>
        <member name="P:Cryville.EEW.Colors.SrgbColor.B">
            <summary>The blue channel.</summary>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.#ctor(System.Byte,System.Byte,System.Byte)">
            <summary>
            Creates an instance of the <see cref="T:Cryville.EEW.Colors.SrgbColor" /> struct, with the alpha channel set to 255.
            </summary>
            <param name="R">The red channel.</param>
            <param name="G">The green channel.</param>
            <param name="B">The blue channel.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.FromColor(System.Drawing.Color)">
            <summary>
            Converts a system color to an instance of the <see cref="T:Cryville.EEW.Colors.SrgbColor" /> struct.
            </summary>
            <param name="color">The system color.</param>
            <returns>The converted color.</returns>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.op_Implicit(System.Drawing.Color)~Cryville.EEW.Colors.SrgbColor">
            <summary>
            Converts a system color to an instance of the <see cref="T:Cryville.EEW.Colors.SrgbColor" /> struct.
            </summary>
            <param name="color">The system color.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.ToSrgb">
            <inheritdoc />
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.ToColor">
            <summary>
            Converts the current instance to a system color.
            </summary>
            <returns>The converted color.</returns>
        </member>
        <member name="M:Cryville.EEW.Colors.SrgbColor.op_Implicit(Cryville.EEW.Colors.SrgbColor)~System.Drawing.Color">
            <summary>
            Converts an instance of the <see cref="T:Cryville.EEW.Colors.SrgbColor" /> struct to a system color.
            </summary>
            <param name="color">The color.</param>
        </member>
        <member name="T:Cryville.EEW.Colors.WrappedColorScheme">
            <summary>
            A sub color scheme identical to a specific color scheme.
            </summary>
            <param name="parent">The color scheme this sub color scheme is based on.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.WrappedColorScheme.#ctor(Cryville.EEW.Colors.IColorScheme)">
            <summary>
            A sub color scheme identical to a specific color scheme.
            </summary>
            <param name="parent">The color scheme this sub color scheme is based on.</param>
        </member>
        <member name="M:Cryville.EEW.Colors.WrappedColorScheme.From(Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible,Cryville.EEW.Colors.IColor)">
            <inheritdoc />
        </member>
        <member name="M:Cryville.EEW.Colors.WrappedColorScheme.From(System.Collections.Generic.IEnumerable{System.ValueTuple{Cryville.EEW.Report.ReportViewModelPropertyType,System.IConvertible}},Cryville.EEW.Colors.IColor)">
            <inheritdoc />
        </member>
    </members>
</doc>
